=== debian/changelog ===
ghc-testsuite (7.0.4-2) unstable; urgency=low

  * Actually put the log file in the binary... 
  * Move maintenance to the Debian Haskell Group 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 07 Jan 2012 18:25:31 +0100

ghc-testsuite (7.0.4-1) unstable; urgency=low

  * Initial release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 07 Jan 2012 13:03:14 +0100
