=== debian/watch ===
version=3
http://haskell.org/ghc/dist/([\d.]+)/testsuite-([\d.]+)-src.tar.bz2
